import java.awt.event.*;
import javax.swing.JMenuItem;

public class ConfigurationMenuListener implements ActionListener {
   private MyWorld  world;
   public ConfigurationMenuListener (MyWorld  w){
      world = w;
   }
   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();
      if (text.equals("Ball")) 
         world.addElement(new GBall(10f, new Vector2D(200f,200f), new Vector2D(), 15f));
      if (text.equals("Fixed Hook")) 
         world.addElement(new GFixedHook(new Vector2D(200f,100f), 30f));
      if (text.equals("Spring")) 
         world.addElement(new GSpring (200f, 10f));
   }
}